Sonar Reasoning Pro
Chat Completions API
sonar-reasoning-pro
Chat Completions API
Sonar Reasoning Pro is Perplexity’s premier reasoning model, powered by DeepSeek R1 with Chain of Thought (CoT) capabilities. Designed for advanced use cases, it supports in-depth, multi-step queries with a larger context window and can surface more citations per search, enabling more comprehensive and extensible responses. Pricing includes Perplexity search costs for integrated web research.
API-методы и структура запроса
Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.
Chat Completions API
POST/v1/chat/completionsПример кода
Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
--data-raw '{
"model": "sonar-reasoning-pro",
"messages": [
{
"role": "user",
"content": "Сколько будет 2 + 2?"
}
]
}'Параметры
Параметры, доступные в API-запросах
Frequency PenaltyMax Completion TokensPresence PenaltyResponse FormatStopTemperatureTop P